/**
 * TesteTransporte.
 * 
 * @author FMM 
 * @version 1/2009
 */
import java.util.*;
import static java.lang.System.out;
public class TesteTransporte {
    
   public static void main(String[] args) {
      Carga.setPreco("Unidade", 0.5);
      Carga.setPreco("Peso", 1.0);
      Carga.setPreco("Espaco", 2.0);
      Carga.setPrecoKm(1.0);
       
      Carga[] cargas = new Carga[10];
      cargas[0] = new Unidade("U1", 100.0, "11", "Porto", "Laranja", 10000);
      cargas[0].setPreco(cargas[0].calculaPreco());
      cargas[1] = new Unidade("U2", 2000.0, "12", "Paris", "Leite", 20000);
      cargas[1].setPreco(cargas[1].calculaPreco());
      cargas[2] = new Peso("P1", 500.0, "21", "Faro", "Electro", 10000);
      cargas[2].setPreco(cargas[2].calculaPreco());
      cargas[3] = new Espaco("E1", 400.0, "31", "Lisboa", "Caixas", 200, 0.5);
      cargas[3].setPreco(cargas[3].calculaPreco());
      out.println("Carga 1 : " + cargas[0].getPreco() + "\n");
      out.println("Carga 2 : " + cargas[1].getPreco() + "\n");
      out.println("Carga 3 : " + cargas[2].getPreco() + "\n");
      out.println("Carga 4 : " + cargas[3].getPreco() + "\n");
       
      Transporte trans1 = 
          new Transporte("99-XX-88", new GregorianCalendar(9,7, 2009));
      trans1.addCarga(cargas[0]); trans1.addCarga(cargas[1]);
      trans1.addCarga(cargas[2]);trans1.addCarga(cargas[3]);
      
      out.println("---  DESTINOS ---");
      Set<String> dest = trans1.destinos();
      for(String d : dest) out.println(d);
      
      out.println("\nTotal facturado: " + trans1.totalTransporte());
      out.println("\n QUE NEGÓCIO !! ");
    }
}

